#!/bin/sh 

exec_option=$1

if [ -f /persistent/etc/network.conf ]
then
	. /persistent/etc/network.conf
	if [ $exec_option == start ]
	then
		if [[ "$VLAN" == yes ]]
		then
			vconfig add $IF $VLANNUMBER
			ifconfig $IF.$VLANNUMBER $VLANIPADDRESS netmask $VLANSUBNET up
			route add default gw $VLANGATEWAY
		else
			echo "VLAN 1 over lan not configured!"
		fi
		if [[ "$VLAN2" == yes ]]
		then
			vconfig add $IF $VLANNUMBER2
			ifconfig $IF.$VLANNUMBER2 $VLANIPADDRESS2 netmask $VLANSUBNET2 up
			route add default gw $VLANGATEWAY2
		else
			echo "VLAN 2 over lan not configured!"
		fi
	elif [ $exec_option == stop ]
	then
		ifconfig $IF.$VLANNUMBER down
		vconfig rem $IF.$VLANNUMBER
		ifconfig $IF.$VLANNUMBER2 down
		vconfig rem $IF.$VLANNUMBER2
	fi
else
	vconfig add eth0 100
	ifconfig eth0.100 192.168.100.100 netmask 255.255.255.0 up
	route add default gw 192.168.100.1
fi

VLAN="no"
VLAN2="no"

if [ -f /persistent/etc/network_wan.conf ]
then
	. /persistent/etc/network_wan.conf
	if [ $exec_option == start ]
	then
		if [[ "$VLAN" == yes ]]
		then
			vconfig add $IF $VLANNUMBER
			ifconfig $IF.$VLANNUMBER $VLANIPADDRESS netmask $VLANSUBNET up
			route add default gw $VLANGATEWAY
		else
			echo "VLAN 1 over wan not configured!"
		fi
		if [[ "$VLAN2" == yes ]]
		then
			vconfig add $IF $VLANNUMBER2
			ifconfig $IF.$VLANNUMBER2 $VLANIPADDRESS2 netmask $VLANSUBNET2 up
			route add default gw $VLANGATEWAY2
		else
			echo "VLAN 2 over wan not configured!"
		fi
	elif [ $exec_option == stop ]
	then
		ifconfig $IF.$VLANNUMBER down
		vconfig rem $IF.$VLANNUMBER
		ifconfig $IF.$VLANNUMBER2 down
		vconfig rem $IF.$VLANNUMBER2
	fi
else
	vconfig add eth1 100
	ifconfig eth1.100 192.168.100.100 netmask 255.255.255.0 up
	route add default gw 192.168.100.1
fi

